; Instrument-specific parameters for FORS2, chip 1.
;

nchip         = 1        ; Number of CCDs included in each array
chip_xmin     = [0]      ; Min x for each chip (not including overscan)
chip_xmax     = [2047]   ; Max x for each chip (not including overscan)
chip_ymin     = [5]      ; Min y for each chip (not including overscan)
chip_ymax     = [1028]   ; Max y for each chip (not including overscan)
namp          = 1        ; Number of amplifiers
gain          = [0.7]    ; Gain for each amplifier (e-/ADU)
amp_xmin      = [0]      ; Min x for each amplifier (not including overscan)
amp_xmax      = [2047]   ; Max x for each amplifier (not including overscan)
amp_ymin      = [5]      ; Min y for each amplifier (not including overscan)
amp_ymax      = [1028]   ; Max y for each amplifier (not including overscan)
erdnoise      = 2.9      ; Read noise (e-)
satlevel      = 60000.   ; Saturation level (ADU) 
dispdir       = 'x'      ; Dispersion direction, 'x' or 'y'
prescan_x     = [0,2047]    ; [x_min,x_max] of prescan region (-1 = none)
prescan_y     = [0,4]       ; [y_min,y_max] of prescan region (-1 = none)
oscan_x       = [0,2047]    ; [x_min,x_max] of overscan region (-1 = none)
oscan_y       = [1029,1033] ; [y_min,y_max] of overscan region (-1 = none)
trim          = 1     ; Trim pre/overscan regions before processing?
rotate        = 0     ; Rotate frame (90 deg clockwise) before processing?
darkcurrent   = 0.0   ; Dark current (e-/sec/pixel)
badpixelfile  = -1    ; Filename of bad pixel map (-1 = none)
bk_space      = 0.3 ;0.7   ; Initial spacing of b-spline break points, in input wave units
min_bk_space  = 0.3 ;0.7   ; Minimum spacing of b-spline break points, in input wave units
slitedge1     = -50 ;0.2   ; First edge of slit, in slit position coords
slitedge2     = 1100  ;1022  ; Second edge of slit, in slit position coords
wavemin       = 5300  ; Min input wavelength over which to locate object
wavemax       = 5350  ; Max input wavelength over which to locate object
slitmin       = 1     ; Min input slit position over which to locate object
slitmax       = 1015  ; Max input slit position over which to locate object
sub_width     = 1e6   ; Range in slit position over which to perform sky subtraction
dispersion    = 1     ; Approximate dispersion, in ang/input wave unit
wavebin       = 1.2   ; Binning for extracted spectrum, in angstroms 
illum_poly    = 2.    ; 1 + polynomial order for slit illumination fn (2 = linear)
x_display     = [900,1900] ; [xmin,xmax] for display of subtracted array
y_display     = [0,1023]   ; [ymin,ymax] for display of subtracted array
traceobj      = 1          ; Trace object with respect to slit position? (1 = yes)
bestprofile   = 0          ; Estimate object profile using entire spectrum? (1 = yes)
line_file     = '~/calib/fors/linelists/blue_skylines.dat' ; Default sky line list
wave_model    = -1        ; Default tabulated sky model
getsubarray   = 0         ; Extract sub-arrays for output files? (1 = yes)
subarray_x    = [0,2047]  ; [xmin,xmax] of extracted subarray
subarray_y    = [0,1023]  ; [ymin,ymax] of extracted subarray
latitude      = -24.6253  ; Observatory latitude (degrees; Keck = 19.8283)
longitude     = 70.4031   ; Observatory longitude (degrees; Keck = 155.478)
altitude      = 2635.     ; Observatory altitude (meters; Keck = 4160.)
